> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# GetAllWorkspaces

GET https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66

List all workspaces in your organization.

Reference: https://docs.heyreach.io/hey-reach-api/organization/workspaces/get-all-workspaces

## Request

### Query parameters

- `Offset` (integer, optional)
- `Limit` (integer, optional)

### Headers

- `X-API-KEY` (string, optional) — Workspace API Key

## Response

### 200

OK

- `totalCount` (integer, required)
- `items` (list of object, required)
  - `workspaceId` (integer, required)
  - `workspaceName` (string, required)
  - `seatsLimit` (integer, required)
  - `usedSeats` (integer, required)

## Errors

### 400 Get All Workspaces Workspaces Request Bad Request Error

Bad Request

- `type` (string, required)
- `title` (string, required)
- `status` (integer, required)
- `detail` (string, required)
- `instance` (string, required)

### 401 Get All Workspaces Workspaces Request Unauthorized Error

Unauthorized

- `type` (string, required)
- `title` (string, required)
- `status` (integer, required)
- `detail` (string, required)
- `instance` (string, required)

### 429 Get All Workspaces Workspaces Request Too Many Requests Error

Too Many Requests

- `type` (string, required)
- `title` (string, required)
- `status` (integer, required)
- `detail` (string, required)
- `instance` (string, required)

### 500 Get All Workspaces Workspaces Request Internal Server Error

Internal Server Error

- `any`

## Examples

**Response**

```json
{
  "totalCount": 2724,
  "items": [
    {
      "workspaceId": 4395,
      "workspaceName": "string",
      "seatsLimit": 4371,
      "usedSeats": 9646
    },
    {
      "workspaceId": 6265,
      "workspaceName": "string",
      "seatsLimit": 2637,
      "usedSeats": 9005
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api//api/public/management/organizations/workspaces"

querystring = {"Offset":"9109","Limit":"66"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/management/organizations/workspaces?Offset=9109&Limit=66")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```